wxWidgets: wxGBPosition Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxGBPosition Class Reference
Class List by Category » Window Layout

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/gbsizer.h>`

## Detailed Description

This class represents the position of an item in a virtual grid of rows and columns managed by a wxGridBagSizer.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxGBPosition ()
| Default constructor, setting the row and column to (0,0). More...
| wxGBPosition (int row, int col)
| Construct a new wxGBPosition, setting the row and column. More...
int | GetCol () const
| Get the current column value. More...
int | GetRow () const
| Get the current row value. More...
void | SetCol (int col)
| Set a new column value. More...
void | SetRow (int row)
| Set a new row value. More...
bool | operator!= (const wxGBPosition &p) const
| Compare inequality of two wxGBPositions. More...
bool | operator== (const wxGBPosition &p) const
| Compare equality of two wxGBPositions. More...

## Constructor & Destructor Documentation

## ◆ wxGBPosition() [1/2]

wxGBPosition::wxGBPosition | ( |  | ) |

Default constructor, setting the row and column to (0,0).

## ◆ wxGBPosition() [2/2]

wxGBPosition::wxGBPosition | ( | int | row,
|  | int | col
| ) |  |

Construct a new wxGBPosition, setting the row and column.

## Member Function Documentation

## ◆ GetCol()

int wxGBPosition::GetCol | ( |  | ) | const

Get the current column value.

## ◆ GetRow()

int wxGBPosition::GetRow | ( |  | ) | const

Get the current row value.

## ◆ operator!=()

bool wxGBPosition::operator!= | ( | const wxGBPosition & | p | ) | const

Compare inequality of two wxGBPositions.

## ◆ operator==()

bool wxGBPosition::operator== | ( | const wxGBPosition & | p | ) | const

Compare equality of two wxGBPositions.

## ◆ SetCol()

void wxGBPosition::SetCol | ( | int | col | ) |

Set a new column value.

## ◆ SetRow()

void wxGBPosition::SetRow | ( | int | row | ) |

Set a new row value.